<p align="center">
  <img src="https://raw.githubusercontent.com/profabric/profabric-components-issues/main/assets/pf-logo_no-text.png" crossorigin="anonymous" width="120" alt="Profabric Components Logo" />
</p>

<h1 align="center" style="margin-bottom:32px;">Profabric Components</h1>

<p align="center">
  <a href="https://www.npmjs.com/package/@profabric/web-components" style="margin-right: 4px">
    <img src="https://img.shields.io/npm/dm/@profabric/web-components.svg" crossorigin="anonymous" alt="NPM Package Downloads" />
  </a>
  
  <!-- <a href="https://www.npmjs.com/package/@profabric/web-components" style="margin-right: 4px">
    <img src="https://img.shields.io/npm/v/@profabric/web-components.svg" alt="NPM Package Stable" />
  </a> -->

  <a href="https://www.jsdelivr.com/package/npm/@profabric/web-components" style="margin-right: 4px">
    <img src="https://img.shields.io/jsdelivr/npm/hm/@profabric/web-components" crossorigin="anonymous" alt="jsDelivr hits" />
  </a>
  
  <a href="https://www.npmjs.com/package/@profabric/web-components" style="margin-right: 4px">
    <img src="https://img.shields.io/codecov/c/github/profabric/profabric-components/main?token=J4NXYLLIUO" crossorigin="anonymous" alt="NPM Package Stable" />
  </a>

  <a href="https://profabric.tech" style="margin-right: 4px">
    <img src="https://img.shields.io/badge/license-MIT-blue" crossorigin="anonymous" alt="License" />
  </a>
</p>

This component kit, offered by [Profabric Tech](https://profabric.tech), serves to establish a uniform and polished UI/UX for web users.

The web implementation of our component kit harnesses the power of native web components, guaranteeing seamless compatibility with a variety of web frameworks such as Vue, React, or Angular. Our primary goal is to showcase a meticulously crafted UI library, with the aim of delivering an exceptional user experience for applications that integrate Profabric Components. This UI kit stands as a flagship product within the comprehensive lineup provided by [Profabric Tech](https://profabric.tech).

## How to use

The recommended method for utilizing Profabric Components is through the CDN. Simply import the library's JS file into your main document as illustrated below:

```html
<script src="https://cdn.jsdelivr.net/npm/@profabric/web-components@0.2.3/dist/index.min.js"></script>
```

In this manner, the library will be hosted on an exceptionally high-performance CDN, ensuring that all Profabric web components are readily available for integration into your web projects.

```html
<pf-button>Hello World!</pf-button>
```
