import { ChangeDetectorRef, ElementRef, DoBootstrap, Injector, EventEmitter, NgZone } from '@angular/core';
import * as Components from '@profabric/web-components';
import * as i0 from "@angular/core";
export declare class Badge implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Badge, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Badge, "pf-badge", never, { "class": { "alias": "class"; "required": false; }; "id": { "alias": "id"; "required": false; }; "pill": { "alias": "pill"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Badge extends Components.Badge {
}
export declare class Button implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Button, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Button, "pf-button", never, { "block": { "alias": "block"; "required": false; }; "class": { "alias": "class"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "id": { "alias": "id"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "outline": { "alias": "outline"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Button extends Components.Button {
    MouseEvent: EventEmitter<MouseEvent>;
}
export declare class Checkbox implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Checkbox, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Checkbox, "pf-checkbox", never, { "checked": { "alias": "checked"; "required": false; }; "class": { "alias": "class"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "id": { "alias": "id"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Checkbox extends Components.Checkbox {
    Event: EventEmitter<Event>;
}
export declare class Dropdown implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Dropdown, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Dropdown, "pf-dropdown", never, { "class": { "alias": "class"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "hideArrow": { "alias": "hideArrow"; "required": false; }; "id": { "alias": "id"; "required": false; }; "isOpen": { "alias": "isOpen"; "required": false; }; "openOnButtonClick": { "alias": "openOnButtonClick"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Dropdown extends Components.Dropdown {
}
export declare class Image implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Image, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Image, "pf-image", never, { "alt": { "alias": "alt"; "required": false; }; "class": { "alias": "class"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "fallbackSrc": { "alias": "fallbackSrc"; "required": false; }; "height": { "alias": "height"; "required": false; }; "id": { "alias": "id"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "rounded": { "alias": "rounded"; "required": false; }; "src": { "alias": "src"; "required": false; }; "width": { "alias": "width"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Image extends Components.Image {
}
export declare class Input implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Input, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Input, "pf-input", never, { "block": { "alias": "block"; "required": false; }; "class": { "alias": "class"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "id": { "alias": "id"; "required": false; }; "invalid": { "alias": "invalid"; "required": false; }; "name": { "alias": "name"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "valid": { "alias": "valid"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Input extends Components.Input {
    CustomEvent: EventEmitter<CustomEvent>;
}
export declare class Select implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Select, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Select, "pf-select", never, { "block": { "alias": "block"; "required": false; }; "class": { "alias": "class"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "id": { "alias": "id"; "required": false; }; "invalid": { "alias": "invalid"; "required": false; }; "options": { "alias": "options"; "required": false; }; "size": { "alias": "size"; "required": false; }; "valid": { "alias": "valid"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Select extends Components.Select {
    CustomEvent: EventEmitter<CustomEvent>;
}
export declare class Spinner implements DoBootstrap {
    protected z: NgZone;
    private injector;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone, injector: Injector);
    ngDoBootstrap(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<Spinner, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<Spinner, "pf-spinner", never, { "class": { "alias": "class"; "required": false; }; "id": { "alias": "id"; "required": false; }; "type": { "alias": "type"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], false, never>;
}
export declare interface Spinner extends Components.Spinner {
}
